Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #2232 (closed defect: duplicate)

Opened 11 years ago

Last modified 11 years ago

Problem installing driver 0.9.4

Reported by: Antonis Tzounis Assigned to:
Priority: minor Milestone:
Component: madwifi: other Version: v0.9.4
Keywords: Cc: atzounis@gmail.com
Patch is attached: 0 Pending: 0

Description (Last modified by mrenzmann)

Hello,

It has been over 2 days now that i am trying to install madwifi 0.9.4 in my system with no success. I have set ath0 down, rmmod ath_pci etc and try to run make in my madwifi folder. Here is the errors i get:

antonis@acer:~/Desktop/madwifi-0.9.4$ sudo make
[sudo] password for antonis:                   
Checking requirements... ok.                   
Checking kernel configuration... ok.           
make -C /lib/modules/2.6.27-9-generic/build SUBDIRS=/home/antonis/Desktop/madwifi-0.9.4 modules
make[1]: Entering directory `/usr/src/linux-headers-2.6.27-9-generic'                          
  CC [M]  /home/antonis/Desktop/madwifi-0.9.4/net80211/ieee80211_wireless.o                    
cc1: warnings being treated as errors                                                          
/home/antonis/Desktop/madwifi-0.9.4/net80211/ieee80211_wireless.c: In function 'giwscan_cb':   
/home/antonis/Desktop/madwifi-0.9.4/net80211/ieee80211_wireless.c:1593: error: passing argument 1 of 'iwe_stream_add_event' from incompatible pointer type
/home/antonis/Desktop/madwifi-0.9.4/net80211/ieee80211_wireless.c:1593: error: passing argument 3 of 'iwe_stream_add_event' from incompatible pointer type
...
make[3]: *** [/home/antonis/Desktop/madwifi-0.9.4/net80211/ieee80211_wireless.o] Error 1
make[2]: *** [/home/antonis/Desktop/madwifi-0.9.4/net80211] Error 2
make[1]: *** [_module_/home/antonis/Desktop/madwifi-0.9.4] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-2.6.27-9-generic'
make: *** [modules] Error 2
antonis@acer:~/Desktop/madwifi-0.9.4$

I have tried several ways to make it run - but still nothing...

I have done all the updates that i have found in several tutorials.

I have linux kubuntu 8.10 with 2.6.27-9-generic kernel and atheros pcmcia card.

I have tried to install madwifi-dfs branch and seems to istall but although i get connected to local networks (i get ping answer from the AP IP address) but i have no access to the internet.

Thanks in advance,

Antonis

Change History

(follow-up: ↓ 2 ) 01/22/09 15:07:16 changed by mrenzmann

  • status changed from new to closed.
  • resolution set to duplicate.
  • description changed.

MadWifi v0.9.4 does not compile against kernel 2.6.27. The issue has been covered in various tickets (which would have been easy to spot with a search, for example) and has been fixed.

Get a snapshot of the madwifi-0.9.4 branch using the following command:

svn co http://svn.madwifi-project.org/madwifi/branches/madwifi-0.9.4 madwifi-0.9.4

That version compiles fine against recent kernel versions, including 2.6.27.x.

(in reply to: ↑ 1 ) 01/22/09 16:48:30 changed by anonymous

Hello, I have done searching. With no luck. I apologize for not getting answer to my problem earlier. I am novice both in linux and madwifi.

I wish i could have downloaded the latest distribution earlier.

Thanks again.

A.